Bug 1372089 - LVM man: Update lvm(8) to mention specific non-zero exit code cannot be relied on
Summary: LVM man: Update lvm(8) to mention specific non-zero exit code cannot be relie...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Alasdair Kergon
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-31 21:19 UTC by Jonathan Earl Brassow
Modified: 2016-11-04 04:18 UTC (History)
11 users (show)

Fixed In Version: lvm2-2.02.165-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 04:18:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1445 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-11-03 13:46:41 UTC

Description Jonathan Earl Brassow 2016-08-31 21:19:41 UTC
s/
DIAGNOSTICS
       All  tools return a status code of zero on success or non-zero on fail-
       ure.
/
DIAGNOSTICS
       All  tools return a status code of zero on success or non-zero on fail-
       ure.  Non-zero exit codes may change and should not be assumed to imply
       specific errors.
/

Comment 1 Jonathan Earl Brassow 2016-08-31 21:21:27 UTC
agk, can you look over the proposed change above?  If you are happy with it, let's check it in.  It should prevent other users from assuming exit values mean specific things.

Comment 2 Alasdair Kergon 2016-09-07 01:42:43 UTC
Text extended in 2.02.165

Comment 4 Corey Marthaler 2016-09-08 15:57:47 UTC
Verified new warning about the dynamic nature of exit codes/messages:


3.10.0-501.el7.x86_64
lvm2-2.02.165-1.el7    BUILT: Wed Sep  7 11:04:22 CDT 2016


DIAGNOSTICS
       All  tools  return a status code of zero on success or non-zero on failure.  The non-zero codes distinguish only between the broad categories of unrecognised commands, problems processing the
       command line arguments and any other failures.  As LVM remains under active development, the code used in a specific case occasionally changes between releases.  Message text may also change.

Comment 6 errata-xmlrpc 2016-11-04 04:18:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1445.html


Note You need to log in before you can comment on or make changes to this bug.